.footer {
    z-index: 5;
    color: #000;
    position: relative;
    font-size: rem(14);
    line-height: rem(19);
    padding-top: rem(40);
    padding-bottom: rem(26);
    background: #E8EBF0;

    &__wrap {
        position: relative;
    }

    &__info {
        margin-bottom: rem(30);

        &--logo {
            display: block;
            width: rem(104);
            margin-bottom: rem(24);
        }

        &--copy {
            color: #000;
            font-size: rem(18);
            line-height: rem(25);
            margin-bottom: rem(14);
        }

        &--text {
            color: #000;
            font-size: rem(14);
            line-height: 150%;
        }
    }

    &__subscribe {
        max-width: rem(365);
        margin-bottom: rem(50);

        &--title {
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(25);
            margin-bottom: rem(20);
        }

        &--main {
            margin-bottom: rem(12);
        }

        &--form {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &--input {
            width: 100%;
            height: rem(35);
            border: none;
            outline: none;
            color: #193D6A;
            box-shadow: none;
            font-weight: 700;
            font-size: rem(12);
            line-height: rem(18);
            padding: rem(10) 0;
            background: transparent;
            display: inline-block;
            vertical-align: middle;
            margin: 0 rem(15) 0 0;
            border-bottom: 1px solid #B9C4D2;
            box-shadow: none;
            @include placeholder(#ABAEB7);
            flex-grow: 1;

            &::-ms-clear {
                display: none;
                width: 0;
                height: 0;
            }

            &:focus,
            &:active {
                outline: none;
                @include placeholder(transparent);
            }
        }

        &--button {
            color: #fff;
            border: none;
            outline: none;
            cursor: pointer;
            height: rem(35);
            font-weight: 700;
            font-size: rem(14);
            line-height: rem(19);
            padding: rem(7) rem(11);
            user-select: none;
            text-align: center;
            white-space: nowrap;
            background: #040D5F;
            text-decoration: none;
            vertical-align: middle;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-shrink: 0;

            svg {
                fill: #fff;
            }

            span {
                display: inline-block;
                white-space: nowrap;
            }

            i {
                font-size: 0;
                line-height: 0;
                margin-left: rem(6);
                height: rem(18);
                display: inline-block;
            }

            &:hover {
                color: #fff;
                background: #1843F5;
                text-decoration: none;
            }

            &:active {
                background: #040D5F;
            }

            &:focus,
            &.focus {
                outline: 0;
            }
        }

        &--text {
            font-size: rem(11);
            line-height: rem(15);

            a {
                color: #000;
                text-decoration: none;
                border-bottom: 1px solid #878787;

                &:hover {
                    color: #000;
                    text-decoration: none;
                    border-bottom-color: transparent;
                }
            }
        }
    }

    &__nav {
        font-size: rem(14);
        line-height: rem(19);
        margin-bottom: rem(36);

        &--primary {
            margin: 0 rem(-15);
            list-style: none;
            padding: 0 0 rem(36) 0;
            display: flex;
            flex-wrap: wrap;
            align-items: center;

            li {
                margin: 0 rem(15) rem(14) rem(15);

                a {
                    color: #000;
                    display: block;
                    white-space: normal;
                    text-decoration: none;
                    border-bottom: 1px solid #878787;

                    &:hover {
                        color: #000;
                        text-decoration: none;
                        border-bottom-color: transparent;
                    }
                }
            }
        }

        &--second {
            margin: 0 rem(-15);
            list-style: none;
            padding: 0 0 rem(36) 0;
            display: flex;
            flex-wrap: wrap;
            align-items: center;

            li {
                margin: 0 rem(15) rem(14) rem(15);

                a {
                    color: #000;
                    display: block;
                    white-space: normal;
                    text-decoration: none;
                    border-bottom: 1px solid #878787;

                    &:hover {
                        color: #000;
                        text-decoration: none;
                        border-bottom-color: transparent;
                    }
                }
            }
        }

        &--third {
            padding: 0;
            margin: 0 rem(-15);
            list-style: none;
            display: flex;
            flex-wrap: wrap;
            align-items: center;

            li {
                margin: 0 rem(15) rem(14) rem(15);

                a {
                    color: #000;
                    display: block;
                    white-space: normal;
                    text-decoration: none;
                    border-bottom: 1px solid #878787;

                    &:hover {
                        color: #000;
                        text-decoration: none;
                        border-bottom-color: transparent;
                    }
                }
            }
        }
    }

    &__contact {

        &--emails {
            padding: 0;
            font-size: rem(11);
            line-height: rem(19);
            color: #BDBDBD;
            list-style: none;
            margin: 0 0 rem(30) 0;

            li {
                margin-bottom: rem(20);

                &:last-child {
                    margin-bottom: 0;
                }

                a {
                    color: #000;
                    display: inline;
                    font-size: rem(14);
                    line-height: rem(19);
                    text-decoration: none;
                    border-bottom: 1px solid #878787;

                    &:hover {
                        color: #000;
                        text-decoration: none;
                        border-bottom-color: transparent;
                    }
                }
            }
        }

        &--social {
            font-size: 0;
            line-height: 0;
            display: flex;
            margin: 0 rem(-5);
            align-items: center;
            justify-content: center;

            a {
                height: rem(18);
                margin: 0 rem(5);
                display: inline-block;

                svg {
                    fill: #040D5F;
                }

                &:hover {
                    fill: #000;
                }
            }
        }
    }

    @media (min-width: $screen-md-min) {
        padding-top: rem(40);
        padding-bottom: rem(30);

        &__info {
            margin-bottom: rem(13);
        }

        &__nav {
            margin-bottom: rem(40);

            &--primary {
                padding: 0;
                margin-bottom: rem(30);

                li {
                    margin-bottom: 0;
                }
            }

            &--second {
                padding: 0;
                margin-bottom: rem(20);

                li {
                    margin-bottom: 0;
                }
            }

            &--third {
                padding: 0;
                margin-bottom: rem(20);

                li {
                    margin-bottom: 0;
                }
            }
        }

        &__contact {
            display: flex;
            align-items: center;

            &--emails {
                margin: 0 0 0 rem(60);
                display: flex;
                align-items: center;
                order: 2;

                li {
                    margin: 0 rem(20) 0 0;
                }
            }

            &--social {
                justify-content: flex-start;
                order: 1;
            }
        }
    }

    @media (min-width: $screen-lg-min) {

        &__info {
            max-width: rem(500);
        }

        &__subscribe {
            margin: 0;
            right: 0;
            top: rem(55);
            position: absolute;
        }
    }

    @media (min-width: $screen-xl-min) {

        &__info {
            max-width: rem(600);
        }
    }

}

.footer-mini {
    z-index: 5;
    color: #000;
    position: relative;
    font-size: rem(14);
    line-height: rem(19);
    padding-top: rem(40);
    padding-bottom: rem(30);
    background: #E8EBF0;
}
